Bug 101201 - j2ee/metadata/support API review
j2ee/metadata/support API review
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: Code
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Andrei Badea
issues@javaee
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-16 17:40 UTC by Andrei Badea
Modified: 2007-05-02 09:19 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Badea 2007-04-16 17:40:40 UTC
The j2ee/metadata/support module provides a friend API which helps implementing
models of Java EE metadata expressed in annotations and XML deployment
descriptors. The purpose of this module is to avoid some copy-pasting and to
make the task of implementing models easier. The module will be used by the
modules which implement the models themselves: j2ee/ddapi in the enterprise
cluster and j2ee/persistenceapi in the java cluster. The support module will be
in the java cluster.

The sources are in the j2ee/metadata/support directory in trunk. The API is
still a work in progress, so there is not much Javadoc yet. Two packages are
exposed as friend API:

- org.netbeans.modules.j2ee.metadata.model.api.support.annotation - the core
part, which handles the cooperation with the Java source API, supports scanning
for annotated elements and provides support for caching parts of the model and
listening on the Java infrastructure.

- org.netbeans.modules.j2ee.metadata.model.api.support.annotation.parser -
provides some support for parsing annotations, which makes the task of creating
model objects from annotation elements easier.
Comment 1 Andrei Badea 2007-04-16 17:42:53 UTC
I would like to ask for a fast-track review.
Comment 2 Andrei Badea 2007-04-30 09:30:48 UTC
Since the module is already in trunk I will just close the issue after waiting
one more day.
Comment 3 Andrei Badea 2007-05-02 09:19:10 UTC
Closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo